%define name perl-IPChains
%define realname IPChains
%define version 0.5
%define release 1mdk
%define realrelease 2i

Summary: Perl modules to manipulate linux firewall chains.
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://www.x25.org/%{realname}-current.tar.bz2
Patch: %{realname}-perl-pollute.patch.bz2
Copyright: GPL or Artistic License
Group: System/Configuration/Networking
#Prefix: /usr
URL: http://www.x25.org/ipchains.html
Packager: Renaud Chaillat <rchaillat@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: perl 
Provides: perl(IPChains) = %{version}

%description
This module acts as an interface to the ipchains(8) userspace utility
by Paul ``Rusty'' Russell (http://www.rustcorp.com/linux/ipchains/).
It attempts to include all the functionality of the original code with
a simplified user interface via Perl. In addition, plans for log
parsing facilities, an integrated interface to ipmasqadm, and possibly
traffic shaping are slated for up and coming versions.

%prep
%setup -q -n %{realname}-%{version}
%patch -p1

# Update all path to the perl interpreter
find -type f -exec sh -c 'if head -c 100 $0 | grep -q "^#!.*perl"; then \
		perl -p -i -e "s|^#!.*perl|#!/usr/bin/perl|g" $0; fi' {} \;

%build
perl Makefile.PL 
#make OPTIMIZE="$RPM_OPT_FLAGS"
%make 

%install
rm -fr $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
eval `perl '-V:installman3dir'`
eval `perl '-V:installman1dir'`
mkdir -p $RPM_BUILD_ROOT/$installman3dir
mkdir -p $RPM_BUILD_ROOT/$installman1dir
make 	PREFIX=$RPM_BUILD_ROOT/usr \
	INSTALLMAN1DIR=$RPM_BUILD_ROOT/$installman1dir \
	INSTALLMAN3DIR=$RPM_BUILD_ROOT/$installman3dir \
   	pure_install

#	INSTALLMAN3DIR=$RPM_BUILD_ROOT%{_mandir}/man3 \
#  	INSTALLMAN3DIR=$RPM_BUILD_ROOT/`dirname $installarchlib`/man/man3 \

# Fix packing list
for packlist in `find $RPM_BUILD_ROOT -name '.packlist'`; do
	mv $packlist $packlist.old
	sed -e "s|$RPM_BUILD_ROOT||g" < $packlist.old > $packlist
	rm -f $packlist.old
done

# Make a file list
#find $RPM_BUILD_ROOT -type d -path '*/usr/lib/perl5/site_perl/5.6.0/*' \
#    -not -path '*/auto' -not -path "*/*-linux" | \
#    sed -e "s!$RPM_BUILD_ROOT!%dir !" > $RPM_BUILD_ROOT/%{name}-file-list
    
#find $RPM_BUILD_ROOT -not -type d -not -name "perllocal.pod" | \
#	sed -e "s|$RPM_BUILD_ROOT||" \
#	    -e 's!\(.*/man/man|.*\.pod$\)!%doc \1!' >> $RPM_BUILD_ROOT/%{name}-file-list

# Manpages list
find $RPM_BUILD_ROOT -type d -path "*$installman3dir" | \
    sed -e "s!$RPM_BUILD_ROOT!!" | \
    sed -e "s!$installman3dir!$installman3dir/*!" > %{name}-manpages-list

#find $RPM_BUILD_ROOT -type d -path "*$installman1dir" | \
#    sed -e "s!$RPM_BUILD_ROOT!!" | \
#    sed -e "s!$installman1dir!$installman1dir/*!" >> %{name}-manpages-list

%clean
rm -fr $RPM_BUILD_ROOT

#%files -f %{name}-file-list
%files -f %{name}-manpages-list
%defattr(-,root,root)
%doc README* Changes
%{perl_sitearch}/*.pm
%{perl_sitearch}/auto/%{realname}/*

%changelog
* Wed Oct 11 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.5-1mdk
- first mandrake release
- patch to compile with perl 5.6.0 (perl pollute)
- use of installmandir variables

* Wed Dec 15 1999  Francis J. Lacoste <francis.lacoste@iNsu.COM> 
  [0.5-2i]
- Added new Provides: perl semantics.
- Updated automatic file list generation.

* Mon Jul 05 1999  Francis J. Lacoste <francis.lacoste@iNsu.COM> 
  [0.5-1i]
- Updated to version 0.5.

* Mon Jul 05 1999  Francis J. Lacoste <francis.lacoste@iNsu.COM> 
  [0.4-2i]
- Bugfixes.

* Sat May 15 1999  Francis J. Lacoste <francis@iNsu.COM> 
  [0.4-1i]
- Packaged for iNs/linux.

